<?php

session_start();

   $level= $_SESSION["level"];
 if(!isset($_SESSION["level"]) || $level>10) {
          /*   alert("관리자 승인이 필요합니다."); */
		 sleep(2);
         header ("Location:/login/logout.php");
         exit;
   }
   
header ("Expires: Mon, 26 Jul 1997 05:00:00 GMT"); // Date in the past
header ("Last-Modified: " . gmdate("D, d M Y H:i:s") . " GMT");
header ("Cache-Control: no-cache, must-revalidate"); // HTTP/1.1
header ("Pragma: no-cache"); // HTTP/1.0
header("Expires: 0"); // rfc2616 - Section 14.21   
//header("Refresh:0");  // reload refresh   
  $parentnum=$_REQUEST["parentnum"]; 	     // 리스트번호
  $outputnum=$_REQUEST["outputnum"]; 	     // 리스트번호
  $upnum=$_REQUEST["upnum"]; 	     // 발주서 번호
  $tempnum=$_REQUEST["upnum"]; 	     // 발주서 번호 비교를 위해 임시변수 만듦
  $num=$_REQUEST["num"]; 	     // 발주서 번호 비교를 위해 임시변수 만듦
  $callname=$_REQUEST["callname"]; 
  $cutwidth=$_REQUEST["cutwidth"]; 
  $cutheight=$_REQUEST["cutheight"]; 
  $exititem=$_REQUEST["exititem"];  
  $delivery=$_REQUEST["delivery"];  
  $callback=$_REQUEST["callback"];  // 출고현황에서 넘어온 자료인지 체크

 if(!isset($_REQUEST["exitinterval"]) )  
   $exitinterval='900';
      else
	       $exitinterval=$_REQUEST["exitinterval"]; 	  
	
 if(!isset($_REQUEST["cover"]) ) 
   $cover='1200';
      else
	       $cover=$_REQUEST["cover"]; 
	   
  $tempexit=$_REQUEST["exititem"];  
  $sort=$_REQUEST["sort"]; 
  $recallcal=$_REQUEST["recallcal"]; 
 
 if(!isset($_REQUEST["ordercompany"]) || $ordercompany=="" ) 
   $ordercompany=$_REQUEST["outworkplace"];   // 현장명이 없을때는 부모파일 현장명 가져오기


  
if($sort=='' ||  $sort=='0')
	 $sort='1';

  $draw=$_REQUEST["draw"];  
  $drawbottom1="";   //좌측 공백
  $drawbottom2="";  //우측 공백

  $memo=$_REQUEST["memo"];  
  $text2=$_REQUEST["text2"];  
  
 if(!isset($_REQUEST["number"]) || $number=="" )  
	 $number="1";   
 else
	 $number=$_REQUEST["number"]; 	   
   
 if(!isset($_REQUEST["cutwidth"]) || $cutwidth=="" ) 
   $cutwidth="5000";
      else
	       $cutwidth=$_REQUEST["cutwidth"]; 	  
	 
 if(!isset($_REQUEST["cutheight"]) || $cutheight=="" ) 
    $cutheight="3000";	 
	 else
           $cutheight=$_REQUEST["cutheight"]; 
	   
   
if(!isset($_REQUEST["printside"])) 
    $printside="0";	 
	 else
           $printside=$_REQUEST["printside"]; 	   	   

if(!isset($_REQUEST["direction"])) 
    $direction="0";	 
	 else
           $direction=$_REQUEST["direction"]; 	   
	   
 if(!isset($_REQUEST["exititem"])) 
    $exititem="0";	 
	 else
           $exititem=$_REQUEST["exititem"]; 	 
  if(!isset($_REQUEST["intervalnum"]) ) 
   $intervalnum="없음";
      else
	       $intervalnum=$_REQUEST["intervalnum"]; 	
  if(!isset($_REQUEST["intervalnumsecond"])) 
   $intervalnumsecond="없음";
      else
	       $intervalnumsecond=$_REQUEST["intervalnumsecond"]; 	
 
 			 $left_check=$_REQUEST["left_check"];  
			 $right_check=$_REQUEST["right_check"];  
			 $mid_check=$_REQUEST["mid_check"];  
			 $done_check=$_REQUEST["done_check"];  
			 $remain_check=$_REQUEST["remain_check"];  
 
 require_once("../lib/mydb.php");
 $pdo = db_connect();			  
	
?>

	<?php
 
if($sort=='1') 
		   	 $sql="select * from chandj.make  where upnum='$parentnum' order by num desc";	 // 처음 내림차순
   else
		   	 $sql="select * from chandj.make  where upnum='$parentnum' order by num asc";	 // 처음 오름차순 
	 try{  
	  $stmh = $pdo->query($sql);            // 검색조건에 맞는글 stmh
      $counter=0;
	  $sum=0;
	       while($row = $stmh->fetch(PDO::FETCH_ASSOC)) {
			  $upnum=$row["upnum"];	
	if((int)$upnum==(int)$parentnum)
      {	
			  $counter++;
			 $sum+=(int)$row["number"];
   			 }
	   }			 
  } catch (PDOException $Exception) {
  print "오류: ".$Exception->getMessage();
  }  

?>

<?php	
	
	
	
  $page=1;	 
  
 
  $scale = 30;       // 한 페이지에 보여질 게시글 수
  $page_scale = 10;   // 한 페이지당 표시될 페이지 수  10페이지
  $first_num = ($page-1) * $scale;  // 리스트에 표시되는 게시글의 첫 순번.

if($sort=='1') 
		   	 $sql="select * from chandj.make  where upnum='$upnum' order by num desc";	 // 처음 내림차순
   else
		   	 $sql="select * from chandj.make  where upnum='$upnum' order by num asc";	 // 처음 오름차순
			
			 
$nowday=date("Y-m-d");   // 현재일자 변수지정   
   
	 try{  
	  $stmh = $pdo->query($sql);            // 검색조건에 맞는글 stmh
      $temp=$stmh->rowCount();
	      
	  $total_row = $temp;     // 전체 글수	  		
         					 
     $total_page = ceil($total_row / $scale); // 검색 전체 페이지 블록 수
	 $current_page = ceil($page/$page_scale); //현재 페이지 블록 위치계산			 

		  if ($page<=1)  
			$start_num=$total_row;    // 페이지당 표시되는 첫번째 글순번
		  else 
			$start_num=$total_row-($page-1) * $scale;
	  
if($callname=="") $callname="FSS";
     
	  ?>
		

 
 <!DOCTYPE HTML>
 <html>
 <head>
 <meta charset="UTF-8">


 <title> 주일기업 통합정보시스템 </title> 
 </head>
<meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css">
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.1/jquery.min.js"></script>
  <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js"></script>
  <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js"></script>
  <script src="/order/order.js"></script>
  <script src="/make/make.js"></script>
  <script src="../js/html2canvas.js"></script>    <!-- 스크린샷을 위한 자바스크립트 함수 불러오기 -->
 
 
 <link rel="stylesheet" type="text/css" href="../css/make_v2.css?v=1">



<style media="screen">
      *{
        margin: 0; padding: 0;
      }
      .slide{
        width: 400px;
        height: 400px;
        overflow: hidden;
        position: relative;
        margin: 0 auto;
      }
      .slide ul{
        width: 11600px;
        position: absolute;
        top:0;
        left:0;
        font-size: 0;
      }
      .slide ul li{
        display: inline-block;
      }
      #back{
        position: absolute;
        top: 0;
        left:0 ;
        cursor: pointer;
        z-index: 1;
      }
      #next{
        position: absolute;
        top: 0;
        right: 0;
        cursor: pointer;
        z-index: 1;
      }
     </style>
 

   <body>
  <div id="wrap">  
   <div id="header">
   <?php include "../lib/top_login2.php"; ?>
   </div>  
   <div id="menu">
   <?php include "../lib/top_menu2.php"; ?>
   </div>  
  <div id="content">
    <div id="work_col2">     <br>
<h6> 스크린 제작 &nbsp;&nbsp; &nbsp;&nbsp; &nbsp;&nbsp; 고유No : &nbsp; <?=$upnum?> &nbsp; 원발주No : &nbsp; <?=$outputnum?> &nbsp;&nbsp; 셔터 수량합계 : &nbsp; <?=$sum?> </h6>

<form name="board_form" id="board_form"  method="post"  action="insert.php?mode=modify&text1=<?=$callname?>&text2=<?=$text2?>&parentnum=<?=$parentnum?>" >
<div id="exitcontent">
<div id="company1"> 발주처(현장명) : </div>
<div id="company2"> <input id="ordercompany" name="ordercompany"  type="text" size="60" placeholder="발주처,현장명" value="<?=$ordercompany?>" readonly>  </div>
<div id="company3"> 개구부 : </div>
<div id="company4">  <input id="exitinterval" name="exitinterval"  type="text" size="4" value="<?=$exitinterval?>" >  </div>
<div id="company5"> 덮개 : </div>
<div id="company6">  <input id="cover" name="cover"  type="text" size="5" value="<?=$cover?>" >  </div>
<div class="clear"> </div>
<div id="r5"> 부호 </div>
<div id="r6"> <input id="callname" name="callname"  type="text" size="16" placeholder="부호" value="<?=$callname?>" >  </div>

<div id="r0"> 제작size </div>

<div id="r1"> 가로(W) :  </div> 
<div id="r2"> <input id="cutwidth" name="cutwidth" type="text" size="5" placeholder="width" value="<?=$cutwidth?>" required > </div>
<div id="r3"> 세로(H) :  </div> 
<div id="r4"> <input id="cutheight" name="cutheight" type="text" size="5" value="<?=$cutheight?>" required placeholder="height"> </div>
<div id="r33"> 수량 :  </div> 
  
  <div id="r8"> <input id="number" name="number" type="text" size="3" placeholder="수량" value="<?=$number?>" required > </div>
<div id="r7"> 틀, </div> 
<div id="rr1"> 인쇄면 : </div>
<div id="rr2">   
	   <?php
	     if($printside=='0') {
			print "  
		   <select id='printside' name='printside'>
           <option value='0'           selected >양면                           </option>
           <option value='1'                    >한면                              </option>
		   </select>  ";
		 }
	     if($printside=='1') {
			print "  
		   <select id='printside' name='printside'>
           <option value='0'                             >양면                           </option>
           <option value='1'           selected          >한면                              </option>		  
		   </select>  ";
		 }		
?>		 

 </div>
 	<div id="printdirection">       <!-- 인쇄면 한면일 경우 방향표시 -->
	 <div id="rr3"> 인쇄방향:</div>
	 <div id="rr4">         
	   <?php
	     if($direction=='0') {
			print "  
		   <select id='direction' name='direction'>
           <option value='0'           selected >정방향                              </option>
           <option value='1'                    >역방향                              </option>
		   </select>  ";
		 }
	     if($direction=='1') {
			print "  
		   <select id='direction' name='direction'>
           <option value='0'                             >정방향                           </option>
           <option value='1'           selected          >역방향                           </option>		  
		   </select>  ";
		 }		
?>	


	 </div>	
	</div>

<div id="exitpos"> 비상문 위치 :  </div>
<div id="exitpos1">
	   <?php
	     if($exititem=='0') {
			print "  
		   <select id='exititem' name='exititem'>
           <option value='0'           selected >없음                           </option>
           <option value='1'                    >중앙                              </option>
           <option value='2'                    >좌측                              </option>
           <option value='3'                    >우측                              </option>		  
           <option value='4'                    >문2개                              </option>		  
           <option value='5'                    >문2개 지그재그                            </option>		  
		   </select>  ";
		 }
	     if($exititem=='1') {
			print "  
		   <select id='exititem' name='exititem'>
           <option value='0'                    >없음                           </option>
           <option value='1'           selected >중앙                              </option>
           <option value='2'                    >좌측                              </option>
           <option value='3'                    >우측                              </option>	
		   <option value='4'                    >문2개                              </option>		  
		   <option value='5'                    >문2개 지그재그                              </option>		  
		   </select>  ";
		 }		
	     if($exititem=='2') {
			print "  
		   <select id='exititem' name='exititem'>
           <option value='0'                    >없음                           </option>
           <option value='1'                    >중앙                              </option>
           <option value='2'           selected >좌측                              </option>
           <option value='3'                    >우측                              </option>		  
		   <option value='4'                    >문2개                              </option>	
		   <option value='5'                    >문2개 지그재그                              </option>				   
		   </select>  ";
		 }
	     if($exititem=='3') {
			print "  
		   <select id='exititem' name='exititem'>
           <option value='0'                    >없음                           </option>
           <option value='1'                    >중앙                              </option>
           <option value='2'                    >좌측                              </option>
           <option value='3'           selected >우측                              </option>
		   <option value='4'                    >문2개                              </option>	
		   <option value='5'                    >문2개 지그재그                              </option>	
		   
		   </select>  ";
		 }
	     if($exititem=='4') {
			print "  
		   <select id='exititem' name='exititem'>
           <option value='0'                    >없음                           </option>
           <option value='1'                    >중앙                              </option>
           <option value='2'                    >좌측                              </option>
           <option value='3'                    >우측                              </option>
		   <option value='4'           selected >문2개                             </option>	
		   <option value='5'                    >문2개 지그재그                              </option>			   
		   </select>  ";
		 }	
	     if($exititem=='5') {
			print "  
		   <select id='exititem' name='exititem'>
           <option value='0'                    >없음                           </option>
           <option value='1'                    >중앙                              </option>
           <option value='2'                    >좌측                              </option>
           <option value='3'                    >우측                              </option>
		   <option value='4'                   >문2개                             </option>	
		   <option value='5'                  selected>문2개 지그재그                              </option>			   
		   </select>  ";
		 }			 
?>		 
		   
		   
</div>


<div id="exityesno" >
<div id="excol1"> 띄울치수1 : </div>  
<div id="excol2">  <input id="intervalnum" name="intervalnum"  type="text" size="5" value="<?=$intervalnum?>" > </div>
<div id="excol3"> 띄울치수2 : </div>  
<div id="excol4">  <input id="intervalnumsecond" name="intervalnumsecond"  type="text" size="5"  value="<?=$intervalnumsecond?>"> </div>
</div>
<div class="clear"> </div>
<div id="excol6"> 추가메모 : </div>  
<div id="excol7">  <input id="memo" name="memo" type="text" size="50" value="<?=$memo?>" > </div>
<div id="result1" name="result1" >
<textarea rows="1" cols="60" name="text2" id="text2" value="<?=$text2?>" ></textarea>
  </div>
 	<!-- 화면에 도면 보여주기--> 
  
<div id="drawimg"> </div>  
<input id="draw" name="draw" type="hidden"   value="<?=$draw?>" >

<input id="sort" name="sort" type="hidden"   value="<?=$sort?>" >  	<!-- 정렬방식 변경 --> 
<input id="upnum" name="upnum" type="hidden"   value="<?=$upnum?>" >  	<!-- 발주서 상위번호--> 
<input id="num" name="num" type="hidden"   value="<?=$num?>" >  	<!-- 발주서 --> 
<input id="outputnum" name="outputnum" type="hidden"   value="<?=$outputnum?>" >  
<input id="modify" name="modify" type="hidden"   value="<?=$modify?>" >  	<!-- 수정여부 --> 
<input id="left_check" name="left_check" type="hidden"   value="<?=$left_check?>" > 
<input id="right_check" name="right_check" type="hidden"   value="<?=$right_check?>" > 
<input id="mid_check" name="mid_check" type="hidden"   value="<?=$mid_check?>" >  
<input id="done_check" name="done_check" type="hidden"   value="<?=$done_check?>" > 
<input id="remain_check" name="remain_check" type="hidden"   value="<?=$remain_check?>" >     
						   
						   
<div class="clear"> </div>
<div id="drawbottom11"> <input id="drawbottom1" name="drawbottom1" type="text" size="16" value="<?=$drawbottom1?>" readonly> </div>  
<div id="drawbottom33"> <input id="drawbottom3" name="drawbottom3" type="text" size="16" value="<?=$drawbottom3?>" readonly> </div>  
<div id="drawbottom22"> <input id="drawbottom2" name="drawbottom2" type="text" size="16" value="<?=$drawbottom2?>" readonly> </div>  
  
</div>


</form>

</div>

   <div class="clear"> </div>
	&nbsp;&nbsp; <button id="calsize_exe" onclick="calsize_exe();"> 스크린제작사이즈 산출 </button>
	&nbsp;&nbsp; <button id="addline" onclick="addline();" > 행 추가 </button>
	&nbsp;&nbsp; <button id="update" onclick="update();" > 수정&저장 </button>
	<!-- 일부분 부분-->
  &nbsp;&nbsp; <button onclick="partShot();"> 이미지 저장 </button>
  &nbsp;&nbsp;
   <button  onclick="javascript:del('delete.php?mode=all&upnum=<?=$upnum?>&parentnum=<?=$parentnum?>')" > DATA 전체삭제  </button>
  &nbsp;&nbsp;
   <button  onclick="sorting();" > 정렬변경  </button>   
  &nbsp;&nbsp;
   <button  onclick="javascript:move('write_form.php?num=<?=$upnum?>&mode=modify&upnum=<?=$upnum?>&parentnum=<?=$parentnum?>&callback=1')" > 발주화면  </button>      
   <div class="clear"> </div><br><br>

<div id="containers" >	
	<div id="display_result" >	
	   <div id="ares1"> 번호 </div>
	   <div id="ares2"> 부호 </div>
	   <div id="ares3"> 스크린제작 치수 너비(W) x 높이(H) , 수량(EA) </div>
       <div class="clear"> </div>
	
  		<?php
		   $counter=0;
	       while($row = $stmh->fetch(PDO::FETCH_ASSOC)) {
			  $upnum=$row["upnum"];
if((int)$upnum==(int)$tempnum)
    {	
		$counter++;

		$num=$row["num"];
		$text1=$row["text1"];
		$text2=$row["text2"];
		$text3=$row["text3"];
		$text4=$row["text4"];
		$text5=$row["text5"];
		$ordercompany=$row["ordercompany"];  
		$callname=$row["callname"];  
		$cutwidth=$row["cutwidth"];  
		$cutheight=$row["cutheight"];  
		$number=$row["number"];  
		$printside=$row["printside"];  
		$direction=$row["direction"];  
		$exititem=$row["exititem"];  
		$intervalnum=$row["intervalnum"];  
		$intervalnumsecond=$row["intervalnumsecond"];  
		$memo=$row["memo"];  
		$draw=$row["draw"];  
		$drawbottom1=$row["drawbottom1"];  
		$drawbottom2=$row["drawbottom2"];  
		$drawbottom3=$row["drawbottom3"];  
		$cover=$row["cover"];  
		$exitinterval=$row["exitinterval"];  
		$left_check=$row["left_check"];  
		$right_check=$row["right_check"];  
		$mid_check=$row["mid_check"];  
		$done_check=$row["done_check"];  			 
	 
		// echo '<script type="text/javascript">    changeUri();      </script>';	 
			  ?> 
	   <div id="res1"> <a href="javascript:del('delete.php?num=<?=$num?>&upnum=<?=$upnum?>&ordercompany=<?=$ordercompany?>&callname=<?=$callname?>&cutheight=<?=$cutheight?>&cutwidth=<?=$cutwidth?>&number=<?=$number?>&comment=<?=$comment?>&printside=<?=$printside?>&direction=<?=$direction?>&exititem=<?=$exititem?>&intervalnum=<?=$intervalnum?>&intervalnumsecond=<?=$intervalnumsecond?>&memo=<?=$memo?>&parentnum=<?=$parentnum?>')"> <?=$counter?> </a> </div>
	   <div id="res2"> 
	            <div id="no1">
				     <a href="javascript:load('load.php?num=<?=$num?>&upnum=<?=$upnum?>&sort=<?=$sort?>&recallcal=1&parentnum=<?=$parentnum?>')"> <?=$text1?> </a> </div>
	            <div id="no2">
				<?=$memo?> 
				         </div>					 
	   </div>
	   <div id="firstoutline">
	       <div id="fres1"> <?=$text2?> </div>		   
	   </div>	
	   <div id="outline">
	   <div id="res4"> <?=$draw?> </div>
	          <div class="clear"> </div>
		   <div id="res5"> <?=$drawbottom1?> </div>
           <div id="res7"> <?=$drawbottom3?> </div>		   		   
	       <div id="res6"> <?=$drawbottom2?> </div>		   
	   </div>
       <div class="clear"> </div>
	  
	 <?php
			$start_num--;
			 }
	   }			 
  } catch (PDOException $Exception) {
  print "오류: ".$Exception->getMessage();
  }  
   // 페이지 구분 블럭의 첫 페이지 수 계산 ($start_page)
      $start_page = ($current_page - 1) * $page_scale + 1;
   // 페이지 구분 블럭의 마지막 페이지 수 계산 ($end_page)
      $end_page = $start_page + $page_scale - 1;  
 ?>
	 
	       
         </div>   <!-- end of display_result -->
	   </div> <!-- end of containers -->  
	 </div> 
	   
</div>		
		<br>    
	   </div> 
<script>   // 화면을 시간 지연 후 나타내 주기
setTimeout(function(){
/* 	var exititem = "<? echo $exititem; ?>";  // php변수를 자바스크립트에서 사용하는 방법 echo 이용
   if(exititem=='0')	
             $("#exityesno").hide();	 
		else	 
	         $("#exityesno").show();		 */
 calsize_exe();  //your code here
}, 500);

</script>	   
	   
</body>

<script>
$(function(){		 
    $("#printdirection").show();		   
    $("#exititem").change(function(){
        if ( this.value == '0' ) {
                        exitno();						
          		}
        if ( this.value == '1' ) {
                        exitcenter();						
          		}				
        if ( this.value == '2' ) {
                        exitleft();						
          		}	
        if ( this.value == '3' ) {
                        exitright();						
          		}			
        if ( this.value == '4' ||this.value == '5' ) {
                        exitboth();						
          		}						
	});	
    $("#printside").change(function(){
			        $("#printdirection").show();	    

        if ( this.value == '0' ) {
			        $("#printdirection").show();				
                        return false;						
          		}
        if ( this.value == '1' ) {
                    $("#printdirection").show();	
          		}				
	});		
});	
	
function calsize_exe() {  // 계산하기 산출하기
  var a = 0;
  var totalheight = 0;
  var screenheight = 0;
  var width = 0;
  var height = 0;
  var mod = 0;
  var b = 0;
  var c = 0;
  var d = 0;
  var e = 0;
  var f = 0;
  var g = 0;
  var h = 0;
  var i = 0;   //쪽바계산용
  var exitvar;
  var screenjpg;
  var midamount;  // 중간판 수량
  var upperheight;  // 상판 높이
  var upperrow;  // 상판 매수(비상문 있을시)
  var amount;
  var dis_text;
  var numleft;
  var numright;
  var numcenter;
  var comment;
  var exitinterval= Number($("#exitinterval").val());  // 개구부 치수 적용하기
  var memo= $("#memo").val();  // 메모
  var cover= Number($("#cover").val());  // 개구부 치수 적용하기
  var remainleft;  // 왼쪽 적을 치수
  var remainright;  // 오른쪽 적을 치수
  
  width=Number($("#cutwidth").val());
  height=Number($("#cutheight").val());
  
  if($("#intervalnum").val()=='' && $("#exititem").val()!='0') {
	    alert("띄울 치수를 입력해 주세요.");
		return false;
  }
  exitvar=$("#exititem").val();
  directionvar=$("#direction").val();
  printsidevar=$("#printside").val();
  numleft=$("#intervalnum").val();
  numright=$("#intervalnumsecond").val();
  numcenter=width-exitinterval*2-numleft-numright;  // 문2개일때 가운데 치수
  
  comment='';
  if(exitvar=='0')
  {
	    screenjpg='0';
		comment=" (문X)";
  }
    if(exitvar=='1' && directionvar=='0' && printsidevar=='0')
	   screenjpg='1'; // 비상문 중앙 인쇄방향 정방향 양면인쇄
      if(exitvar=='1' && directionvar=='1' && printsidevar=='0' )
	   screenjpg='2';  // 비상문 중앙 인쇄방향 역방향 양면인쇄 
       if(exitvar=='1' && directionvar=='0' && printsidevar=='1')
	     screenjpg='3';  // 비상문 중앙 인쇄방향 정방향 한면인쇄  
         if(exitvar=='1' && directionvar=='1' && printsidevar=='1')
	       screenjpg='4';  // 비상문 중앙 인쇄방향 역방향 한면인쇄  
	         if(exitvar=='2' && directionvar=='0' && printsidevar=='0')
	           screenjpg='5';  // 비상문 좌측 인쇄방향 정방향 양면인쇄     
	          if(exitvar=='2' && directionvar=='1' && printsidevar=='0')
	             screenjpg='6';  // 비상문 좌측 인쇄방향 역방향 양면인쇄     	   
	            if(exitvar=='2' && directionvar=='0' && printsidevar=='1')
	               screenjpg='7';  // 비상문 좌측 인쇄방향 정방향 한면인쇄  	   
	             if(exitvar=='2' && directionvar=='1' && printsidevar=='1')
	                screenjpg='8';  // 비상문 좌측 인쇄방향 역방향 한면인쇄  	   
	         if(exitvar=='3' && directionvar=='0' && printsidevar=='0')
	           screenjpg='9';  // 비상문 우측 인쇄방향 정방향 양면인쇄     
	          if(exitvar=='3' && directionvar=='1' && printsidevar=='0')
	             screenjpg='10';  // 비상문 우측 인쇄방향 역방향 양면인쇄     	   
	            if(exitvar=='3' && directionvar=='0' && printsidevar=='1')
	               screenjpg='11';  // 비상문 우측 인쇄방향 정방향 한면인쇄  	   
	             if(exitvar=='3' && directionvar=='1' && printsidevar=='1')
	                screenjpg='12';  // 비상문 우측 인쇄방향 역방향 한면인쇄  	   
	         if(exitvar=='4' && directionvar=='0' && printsidevar=='0')
	           screenjpg='13';  // 비상문 2개 인쇄방향 정방향 양면인쇄     
	          if(exitvar=='4' && directionvar=='1' && printsidevar=='0')
	             screenjpg='14';  // 비상문 2개 인쇄방향 역방향 양면인쇄     	   
	            if(exitvar=='4' && directionvar=='0' && printsidevar=='1')
	               screenjpg='15';  // 비상문 2개 인쇄방향 정방향 한면인쇄  	   
	             if(exitvar=='4' && directionvar=='1' && printsidevar=='1')
	                screenjpg='16';  // 비상문 2개 인쇄방향 역방향 한면인쇄  	 	
	            if(exitvar=='5' && directionvar=='0')
	               screenjpg='17';  // 비상문 2개 인쇄방향 정방향 한면인쇄  	   
	             if(exitvar=='5' && directionvar=='1')
	                screenjpg='18';  // 비상문 2개 인쇄방향 역방향 한면인쇄  	 
if(exitvar=='0' ) 
{
	 $("#drawbottom1").val(' ');	
	 $("#drawbottom2").val(' ');	 
	 $("#drawbottom3").val(' ');	 
  $("#line1").val (dis_text);  // 도면 저장을 위해....
}	
if(exitvar=='1' ) 
{
 remainleft = width/2 - (exitinterval/2) ;
	 $("#drawbottom1").val(remainleft);	
	 $("#drawbottom3").val(' ');	 
	 $("#drawbottom2").val(remainleft);	 
  $("#line1").val (dis_text);  // 도면 저장을 위해....
}	
if(exitvar=='2') 
{
     remainright = width - numleft - exitinterval ;
	 $("#drawbottom1").val('좌에서 ' + numleft + ' 띄우고,');
	 $("#drawbottom3").val(' ');	 
	 $("#drawbottom2").val(remainright);	  
}
 if(exitvar=='3') 
 {
     remainright = width - numleft - exitinterval ;	 
	 $("#drawbottom2").val('우에서 ' + numleft + ' 띄우고'); // numleft는 첫번째 띄우는 치수다. 그래서 numright가 아니다.
	 $("#drawbottom3").val(' ');	 
	 $("#drawbottom1").val(remainright);	 	 
 }
  if(exitvar=='4' || exitvar=='5') 
  {
	 $("#drawbottom1").val('좌에서 ' + numleft + ' 띄우고,');
	 $("#drawbottom2").val('우에서 ' + numright + ' 띄우고');
	 $("#drawbottom3").val(numcenter);		 
  }
	 
   dis_text='<img src="../img/screen/screen' + screenjpg + '.jpg">';
  
   $("#drawimg").html(dis_text);
   $("#draw").val(dis_text);

  
  totalheight=Math.ceil((height+100)/1180);
  
  a=Math.ceil(width) ;
  
  g=Number($("#intervalnum").val()) ;
  amount=$("#number").val() ;
  
  if(exitinterval!=900)
	  comment = comment + "개구부:" + exitinterval + "," ;
     if(cover!=1200)
	    comment = comment + "덮개:" + cover ;  
  
  $("#text2").text( a + " X " + height + " , " +  amount + " EA, " + comment); //comment는 비상문 없음 표시
    
}  // end of function
   function exitno() {
            $("#intervalnum").val("없음");			
            $("#intervalnumsecond").val("없음");	
  }  
  function exitcenter() {
  			$("#exityesno").show();	  		
            $("#intervalnum").val("없음");			
            $("#intervalnumsecond").val("없음");			
  }
  function exitleft() {
  			$("#exityesno").show();	  
            $("#intervalnum").val("");				
            $("#intervalnumsecond").val("없음");						
  }
  function exitright() {
  			$("#exityesno").show();
            $("#intervalnum").val("");						
			$("#intervalnumsecond").val("없음");			
  }  
  function exitboth() {
  			$("#exityesno").show();
            $("#intervalnum").val("");						
			$("#intervalnumsecond").val("");			
  }  
  
function addline(){
 calsize_exe();
 document.getElementById('board_form').submit();  // form의 검색버튼 누른 효과    
}
function update(){
 calsize_exe();
 $("#modify").val("1");			// 수정할 부분 연결
 document.getElementById('board_form').submit();  // form의 검색버튼 누른 효과    
}

function sorting(){
 var sort;
 sort=$("#sort").val();		
 if(sort=='1')
     $("#sort").val("2");
   else
	   $("#sort").val("1");
 $("#modify").val("2");			// 소팅할 것
 document.getElementById('board_form').submit();  // form의 검색버튼 누른 효과    
}

function del(href) 
     {
        if(confirm("한번 삭제한 자료는 복구할 방법이 없습니다.\n\n정말 삭제하시겠습니까?")) {
           document.location.href = href;
          }
}
function move(href) 
     {
           document.location.href = href;  
}	 

function load(href) 
     {
           document.location.href = href;  
}	



function partShot() {
//특정부분 스크린샷
html2canvas(document.getElementById("containers"))  
//id container 부분만 스크린샷
.then(function (canvas) {
//jpg 결과값
drawImg(canvas.toDataURL('image/jpeg'));
//이미지 저장
saveAs(canvas.toDataURL(), 'make.jpg');
}).catch(function (err) {
console.log(err);
});
}

function drawImg(imgData) {
console.log(imgData);
//imgData의 결과값을 console 로그롤 보실 수 있습니다.
return new Promise(function reslove() {
//내가 결과 값을 그릴 canvas 부분 설정
var canvas = document.getElementById('canvas');
var ctx = canvas.getContext('2d');
//canvas의 뿌려진 부분 초기화
ctx.clearRect(0, 0, canvas.width, canvas.height);

var imageObj = new Image();
imageObj.onload = function () {
ctx.drawImage(imageObj, 10, 10);
//canvas img를 그리겠다.
};
imageObj.src = imgData;
//그릴 image데이터를 넣어준다.

}, function reject() { });

}
function saveAs(uri, filename) {
var link = document.createElement('a');
if (typeof link.download === 'string') {
link.href = uri;
link.download = filename;
document.body.appendChild(link);
link.click();
document.body.removeChild(link);
} else {
window.open(uri);
}
}	 

function submit_form(frm) { 
frm.action='delete.php'; 
frm.submit(); 
return true; 
}

function info() {
	return;
}
</script>  


</html>



